# Uses of Interface
org.opensaml.saml.common.binding.artifact.SAMLArtifactMap.SAMLArtifactMapEntry

Packages that use SAMLArtifactMap.SAMLArtifactMapEntry
Package
Description
org.opensaml.saml.common.binding.artifact
Classes supporting SAML artifact use.
org.opensaml.saml.common.binding.artifact.impl
Implementation of SAML artifact mapping.

## Uses of SAMLArtifactMap.SAMLArtifactMapEntry in org.opensaml.saml.common.binding.artifact

Classes in org.opensaml.saml.common.binding.artifact that implement SAMLArtifactMap.SAMLArtifactMapEntry
Modifier and Type
Class
Description
`class`
`BasicSAMLArtifactMapEntry`
Basic implementation of `SAMLArtifactMap.SAMLArtifactMapEntry`.
`class`
`ExpiringSAMLArtifactMapEntry`
Extension of `BasicSAMLArtifactMapEntry` that tracks expiration.
Methods in org.opensaml.saml.common.binding.artifact that return SAMLArtifactMap.SAMLArtifactMapEntry
Modifier and Type
Method
Description
`SAMLArtifactMap.SAMLArtifactMapEntry`
SAMLArtifactMap.`get(String artifact)`
Gets the artifact entry for the given artifact.
`SAMLArtifactMap.SAMLArtifactMapEntry`
SAMLArtifactMap.SAMLArtifactMapEntryFactory.`newEntry(String artifact, String issuerId, String relyingPartyId, SAMLObject samlMessage)`
Factory method which produces a `SAMLArtifactMap.SAMLArtifactMapEntry`.

## Uses of SAMLArtifactMap.SAMLArtifactMapEntry in org.opensaml.saml.common.binding.artifact.impl

Methods in org.opensaml.saml.common.binding.artifact.impl that return SAMLArtifactMap.SAMLArtifactMapEntry
Modifier and Type
Method
Description
`SAMLArtifactMap.SAMLArtifactMapEntry`
StorageServiceSAMLArtifactMapEntryFactory.`deserialize(long version, String context, String key, String value, Long expiration)`
Returns an object recovered from a string produced through the `StorageSerializer.serialize(Type)` method.
`SAMLArtifactMap.SAMLArtifactMapEntry`
BasicSAMLArtifactMap.`get(String artifact)`
Gets the artifact entry for the given artifact.
`SAMLArtifactMap.SAMLArtifactMapEntry`
StorageServiceSAMLArtifactMap.`get(String artifact)`
Gets the artifact entry for the given artifact.
`SAMLArtifactMap.SAMLArtifactMapEntry`
ExpiringSAMLArtifactMapEntryFactory.`newEntry(String artifact, String issuerId, String relyingPartyId, SAMLObject samlMessage)`
Factory method which produces a `SAMLArtifactMap.SAMLArtifactMapEntry`.
`SAMLArtifactMap.SAMLArtifactMapEntry`
StorageServiceSAMLArtifactMapEntryFactory.`newEntry(String artifact, String issuerId, String relyingPartyId, SAMLObject samlMessage)`
Factory method which produces a `SAMLArtifactMap.SAMLArtifactMapEntry`.
Methods in org.opensaml.saml.common.binding.artifact.impl with parameters of type SAMLArtifactMap.SAMLArtifactMapEntry
Modifier and Type
Method
Description
`String`
StorageServiceSAMLArtifactMapEntryFactory.`serialize(SAMLArtifactMap.SAMLArtifactMapEntry instance)`
Returns a string representing the input object.